Bug 105698 - RFE: add rpmdb-redhat to installer package selection
RFE: add rpmdb-redhat to installer package selection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 12:58 EDT by Gene Czarcinski
Modified: 2014-03-16 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 16:24:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2003-09-26 12:58:35 EDT
Description of problem:

While the rpmdb-redhat package is very large, having it installed is very useful
for non-everything installs when you go to install a package which needs
something else and I generally install it.  While redhat-config-packages may be
able to resolve dependencies without rpmdb-redhat, if you have a package which
is not on the distribution but needs a package from the distribution, having
rpmdb-redhat (someday rpmdb-fedora I assume) makes things easier.

Yes, I could install this post install but it would be easier if it is available
for selection (but not installed by default).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Michael Fulbright 2003-09-26 14:55:15 EDT
This selection is determined by the comps package.
Comment 2 Bill Nottingham 2003-09-26 16:11:12 EDT
Ideally, the methods used by rpmdb-redhat and redhat-config-packages are merged,
and one of comps.rpm and rpmdb-redhat goes away.
Comment 3 Bill Nottingham 2005-03-02 16:24:26 EST
As rpmdb appears to be being slowly phased out in favor of RPM metadata, I doubt
this will change. 

Note You need to log in before you can comment on or make changes to this bug.